# Copyright (c) 2010 The Chromium OS Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.

AUTHOR = "Chromium OS Team"
NAME = "logging_CrashServices"
PURPOSE = "Verify that all processes create *.dmp files."
TIME = "SHORT"
TEST_CATEGORY = "Functional"
TEST_CLASS = "logging"
TEST_TYPE = "client"
JOB_RETRIES = 0
ATTRIBUTES = "suite:bvt-perbuild, suite:jailed_build, suite:partners"
DEPENDENCIES='cleanup-reboot'
PY_VERSION = 3

DOC = """
Crash all valid ChromeOS processes from an allowlist, and confirm
that *.dmp, *.meta, and *.core files are created.
"""

job.run_test("logging_CrashServices")
